For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet credit notes
      • POSTCreate a credit note
      • POSTUpload a credit note from a file
      • GETGet credit note validations
      • PUTUpdate credit note validations
      • POSTReset credit note validations
      • GETGet a credit note by ID
      • DELDelete a credit note
      • PATCHUpdate a credit note
      • POSTApprove a credit note
      • POSTCancel a credit note
      • POSTCancel OCR of a credit note
      • GETGet all line items of a credit note
      • POSTAdd a new line item to a credit note
      • PUTReplace all line items of a credit note
      • GETGet a single line item of a credit note
      • DELDelete a line item from a credit note
      • PATCHUpdate a line item of a credit note
      • POSTReject a credit note
      • POSTSubmit a credit note for approval
      • GETValidate a credit note
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableCredit notes

Get credit notes

GET
/payable_credit_notes
GET
/v1/payable_credit_notes
$curl https://api.sandbox.monite.com/v1/payable_credit_notes \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "created_at": "2024-01-15T14:30:00Z",
6 "updated_at": "2024-01-15T14:30:00Z",
7 "entity_id": "123e4567-e89b-12d3-a456-426614174000",
8 "origin": "SAP",
9 "source_of_data": "user_specified",
10 "status": "submitted_for_approval",
11 "based_on": "123e4567-e89b-12d3-a456-426614174000",
12 "based_on_document_id": "INV-2287",
13 "counterpart": {
14 "address": {
15 "city": "Berlin",
16 "country": "AF",
17 "line1": "Flughafenstrasse 52",
18 "line2": "line2",
19 "postal_code": "10115",
20 "state": "state"
21 },
22 "bank_account": {
23 "account_holder_name": "account_holder_name",
24 "account_number": "123456789012",
25 "bic": "DEUTDE2HXXX",
26 "iban": "iban",
27 "routing_number": "routing_number",
28 "sort_code": "sort_code"
29 },
30 "email": "acme@example.com",
31 "name": "Acme Inc.",
32 "phone": "5551231234",
33 "tax_id": "DE12345678",
34 "vat_id": {
35 "country": "AF",
36 "type": "type",
37 "value": "value"
38 }
39 },
40 "counterpart_address_id": "123e4567-e89b-12d3-a456-426614174000",
41 "counterpart_bank_account_id": "123e4567-e89b-12d3-a456-426614174000",
42 "counterpart_id": "123e4567-e89b-12d3-a456-426614174000",
43 "counterpart_raw": {
44 "address": {
45 "city": "Berlin",
46 "country": "AF",
47 "line1": "Flughafenstrasse 52",
48 "line2": "line2",
49 "postal_code": "10115",
50 "state": "state"
51 },
52 "bank_account": {
53 "account_holder_name": "account_holder_name",
54 "account_number": "123456789012",
55 "bic": "DEUTDE2HXXX",
56 "iban": "iban",
57 "routing_number": "routing_number",
58 "sort_code": "sort_code"
59 },
60 "email": "acme@example.com",
61 "name": "Acme Inc.",
62 "phone": "5551231234",
63 "tax_id": "DE12345678",
64 "vat_id": {
65 "country": "AF",
66 "type": "type",
67 "value": "value"
68 }
69 },
70 "counterpart_vat_id_id": "123e4567-e89b-12d3-a456-426614174000",
71 "created_by_external_user_id": "ext_user_123",
72 "created_by_external_user_name": "John Doe",
73 "created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
74 "currency": "EUR",
75 "currency_exchange": {
76 "default_currency_code": "default_currency_code",
77 "rate": 1.1,
78 "total": 1.1
79 },
80 "description": "Credit note for returned items from invoice INV-2287",
81 "document_id": "CN-2287",
82 "file_id": "123e4567-e89b-12d3-a456-426614174000",
83 "file_url": "file_url",
84 "issued_at": "2024-01-15",
85 "ocr_request_id": "123e4567-e89b-12d3-a456-426614174000",
86 "ocr_status": "completed",
87 "project_id": "123e4567-e89b-12d3-a456-426614174000",
88 "sender": "supplier@example.com",
89 "subtotal": 1000,
90 "tags": [
91 {
92 "id": "123e4567-e89b-12d3-a456-426614174000",
93 "created_at": "2022-09-07T16:35:18Z",
94 "updated_at": "2022-09-07T16:35:18Z",
95 "name": "Department A",
96 "category": "department",
97 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
98 "description": "Tag for the Marketing Department"
99 }
100 ],
101 "tax": 20,
102 "tax_amount": 200,
103 "total_amount": 1200
104 }
105 ],
106 "next_pagination_token": "eyJwYWdlIjoyfQ==",
107 "prev_pagination_token": "eyJwYWdlIjoxfQ=="
108}
Was this page helpful?
Previous

Create a credit note

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
issued_atstringOptionalformat: "date"
issued_at__gtstringOptionalformat: "date"
issued_at__ltstringOptionalformat: "date"
issued_at__gtestringOptionalformat: "date"
issued_at__ltestringOptionalformat: "date"
document_idstringOptional
document_id__iexactstringOptional
document_id__containsstringOptional
document_id__icontainsstringOptional
has_filebooleanOptional
total_amount__gtintegerOptional>=0
total_amount__ltintegerOptional>=0
total_amount__gteintegerOptional>=0
total_amount__lteintegerOptional>=0
subtotal__gtintegerOptional>=0
subtotal__ltintegerOptional>=0
subtotal__gteintegerOptional>=0
subtotal__lteintegerOptional>=0
based_onstringOptionalformat: "uuid"
counterpart_idstringOptionalformat: "uuid"
created_by_entity_user_idstringOptionalformat: "uuid"
statusenumOptional

Credit note statuses (used in accounts payable).

status__inenumOptional

Credit note statuses (used in accounts payable).

status__not_inenumOptional

Credit note statuses (used in accounts payable).

originenumOptional
Allowed values:
currencyenumOptional
project_idstringOptionalformat: "uuid"
project_id__instringOptionalformat: "uuid"

Response

Successful Response
datalist of objects
List of credit notes for the current page
next_pagination_tokenstring
Token to retrieve the next page of results
prev_pagination_tokenstring
Token to retrieve the previous page of results

Errors

400
Get Payable Credit Notes Request Bad Request Error
401
Get Payable Credit Notes Request Unauthorized Error
403
Get Payable Credit Notes Request Forbidden Error
406
Get Payable Credit Notes Request Not Acceptable Error
422
Get Payable Credit Notes Request Unprocessable Entity Error
429
Get Payable Credit Notes Request Too Many Requests Error